> ## Documentation Index
> Fetch the complete documentation index at: https://docs.rhino.fi/llms.txt
> Use this file to discover all available pages before exploring further.

# Get public deposit address status

> Returns the status of a deposit address on a given chain



## OpenAPI

````yaml https://api.rhino.fi/sda/swagger.json get /deposit-addresses/{depositAddress}/{depositChain}/public-status
openapi: 3.1.0
info:
  title: SDA API
  version: 0.0.1
  description: Functionality for interacting with Rhino SDA service
servers:
  - url: https://api.rhino.fi/sda
security: []
tags:
  - name: depositAddresses
paths:
  /deposit-addresses/{depositAddress}/{depositChain}/public-status:
    get:
      tags:
        - depositAddresses
      summary: Get public deposit address status
      description: Returns the status of a deposit address on a given chain
      operationId: depositAddresses.publicDepositAddressStatus
      parameters:
        - name: depositAddress
          in: path
          schema:
            anyOf:
              - $ref: '#/components/schemas/EthAddressSchema'
              - $ref: '#/components/schemas/TronAddressBasic'
              - $ref: '#/components/schemas/SolanaAddress'
              - $ref: '#/components/schemas/StellarMuxedAddress'
              - $ref: '#/components/schemas/BitcoinAddressSchema'
            description: >-
              The Rhino.fi Smart Deposit Address that the deposit has been sent
              to, e.g. "0x123...ABC".
          required: true
          description: >-
            The Rhino.fi Smart Deposit Address that the deposit has been sent
            to, e.g. "0x123...ABC".
        - name: depositChain
          in: path
          schema:
            type: string
            description: The blockchain where the deposit was sent to, e.g. "ETHEREUM".
          required: true
          description: The blockchain where the deposit was sent to, e.g. "ETHEREUM".
        - name: destinationAddress
          in: query
          schema:
            type: string
            description: The address where tokenOut will be bridged to, e.g. "0x123...ABC".
          required: true
          description: The address where tokenOut will be bridged to, e.g. "0x123...ABC".
      responses:
        '200':
          description: PublicDepositAddressStatusResponse
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PublicDepositAddressStatusResponse'
        '400':
          description: The request did not match the expected schema
          content:
            application/json:
              schema:
                anyOf:
                  - $ref: '#/components/schemas/HttpApiDecodeError'
                  - $ref: '#/components/schemas/InvalidJwt'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Unauthorized'
        '422':
          description: DepositAddressNotFound
          content:
            application/json:
              schema:
                anyOf:
                  - $ref: '#/components/schemas/DepositAddressNotFound'
                  - $ref: '#/components/schemas/InvalidRequest'
      security:
        - bearer: []
        - legacyApiKey: []
components:
  schemas:
    EthAddressSchema:
      type: string
      description: a string that will be trimmed
    TronAddressBasic:
      type: string
      description: Tron basic address format
      pattern: T[123456789ABCDEFGHJKLMNPQRSTUVWXYZabcdefghijkmnopqrstuvwxyz]+
      title: maxLength(60)
      maxLength: 60
    SolanaAddress:
      type: string
    StellarMuxedAddress:
      type: string
    BitcoinAddressSchema:
      anyOf:
        - $ref: '#/components/schemas/BitcoinBech32AddressSchema'
        - $ref: '#/components/schemas/BitcoinBase58AddressSchema'
      description: Bitcoin address (bech32 / bech32m or base58check)
    PublicDepositAddressStatusResponse:
      type: object
      required:
        - depositAddress
        - depositChain
        - destinationChain
        - destinationAddress
        - lastBridges
        - isPaused
      properties:
        depositAddress:
          type: string
          description: >-
            The Rhino.fi Smart Deposit Address that the deposit has been sent
            to.
        depositChain:
          type: string
          description: The blockchain where the deposit was sent to.
        destinationChain:
          type: string
          description: The blockchain where the tokenOut will be bridged to.
        destinationAddress:
          type: string
          description: The address where tokenOut will be bridged to.
        lastBridges:
          type: array
          items:
            $ref: '#/components/schemas/PublicDepositAddressStatusBridge'
          description: >-
            An array of bridge transactions associated with this deposit
            address, including accepted, failed, and rejected transactions.
        isPaused:
          type: boolean
          description: A paused deposit address will reject every deposit made to it.
        chainMetadata:
          $ref: '#/components/schemas/ChainMetadata'
      additionalProperties: false
    HttpApiDecodeError:
      type: object
      required:
        - issues
        - message
        - _tag
      properties:
        issues:
          type: array
          items:
            $ref: '#/components/schemas/Issue'
        message:
          type: string
        _tag:
          type: string
          enum:
            - HttpApiDecodeError
      additionalProperties: false
      description: The request did not match the expected schema
    InvalidJwt:
      type: object
      required:
        - message
        - _tag
      properties:
        message:
          type: string
        _tag:
          type: string
          enum:
            - InvalidJwt
      additionalProperties: false
    Unauthorized:
      type: object
      required:
        - message
        - _tag
      properties:
        message:
          type: string
        _tag:
          type: string
          enum:
            - Unauthorized
      additionalProperties: false
    DepositAddressNotFound:
      type: object
      required:
        - message
        - addresses
        - _tag
      properties:
        message:
          type: string
        addresses:
          type: array
          items:
            $ref: '#/components/schemas/NonEmptyString'
        _tag:
          type: string
          enum:
            - DepositAddressNotFound
      additionalProperties: false
    InvalidRequest:
      type: object
      required:
        - message
        - _tag
      properties:
        message:
          type: string
        _tag:
          type: string
          enum:
            - InvalidRequest
      additionalProperties: false
    BitcoinBech32AddressSchema:
      type: string
      description: Bitcoin bech32 / bech32m address (SegWit, Taproot)
    BitcoinBase58AddressSchema:
      type: string
      description: a string that will be trimmed
    PublicDepositAddressStatusBridge:
      type: object
      required:
        - depositTxHash
        - depositTxTimestamp
        - tokenSymbol
        - depositAmount
        - sender
        - status
      properties:
        depositTxHash:
          type: string
          description: >-
            The uniquely identifiable transaction hash for the deposit
            transaction into the depositAddress.
        depositTxTimestamp:
          type: string
          description: The datetime of the deposit transaction into the depositAddress.
        tokenSymbol:
          type: string
          description: The identifier of the token on the given chain.
        depositAmount:
          type: string
          description: >-
            The value in native asset of the tokenSymbol that has been received
            into the Smart Deposit Address.
        sender:
          type: string
          description: >-
            The address on the depositChain that sent the tokens for bridging /
            bridging and swapping.
        status:
          anyOf:
            - type: object
              required:
                - _tag
                - reason
              properties:
                _tag:
                  type: string
                  enum:
                    - REJECTED
                reason:
                  type: string
                  enum:
                    - OVER_MAX
                    - UNDER_MIN
                    - OPERATION_UNAVAILABLE
                    - TERMINAL_PROCESSING_ISSUE
                    - NO_ROUTE_FOUND
                    - UNSUPPORTED_TOKEN
                    - SDA_PAUSED
                    - SETTLEMENT_REJECTED
                  description: >-
                    Further information about why a transaction was rejected.
                    OVER_MAX: the amount deposited was above the maximum value
                    accepted for that token for the Smart Deposit Address (this
                    value can be found via the GET
                    /sda/deposit-addresses/{depositChain}/{destinationChain}/supported-tokens
                    endpoint). UNDER_MIN: the amount deposited was below the
                    minimum value accepted for that token for the Smart Deposit
                    Address (same endpoint to find the value).
                    TERMINAL_PROCESSING_ISSUE: an issue within the Rhino.fi
                    system meant the required swapping and/or bridging activity
                    was not completed; please reach out to your Rhino.fi
                    customer success manager for further information.
                    NO_ROUTE_FOUND: no compatible bridge and/or swap route was
                    able to be found and executed; please reach out to your
                    Rhino.fi customer success manager for further information.
                    UNSUPPORTED_TOKEN: the token that was deposited is not
                    supported for this Smart Deposit Address. SDA_PAUSED: the
                    Smart Deposit Address was paused and not processing deposits
                    at the time the deposit was received. OPERATION_UNAVAILABLE:
                    the deposit could not be processed because the operation was
                    unavailable at the time, for example due to a compliance /
                    AML hold; please reach out to your Rhino.fi customer success
                    manager for further information.
              additionalProperties: false
            - type: object
              required:
                - _tag
              properties:
                _tag:
                  type: string
                  enum:
                    - RETRYING
                originalErrorTag:
                  type: string
              additionalProperties: false
            - type: object
              required:
                - _tag
                - amountOut
                - fee
              properties:
                _tag:
                  type: string
                  enum:
                    - ACCEPTED
                amountOut:
                  type: string
                  description: The value of the token sent on the destination chain.
                fee:
                  type: string
                  description: >-
                    The total fee charged for the transaction, denominated in
                    the token received on the destination chain.
              additionalProperties: false
            - type: object
              required:
                - _tag
                - withdrawTxHash
                - withdrawTxTimestamp
                - amountOut
                - fee
              properties:
                _tag:
                  type: string
                  enum:
                    - EXECUTED
                withdrawTxHash:
                  type: string
                  description: >-
                    The transaction hash of the withdrawal transaction of the
                    tokenOut to the destinationAddress.
                withdrawTxTimestamp:
                  type: string
                  description: >-
                    The datetime that the withdrawal transaction of the tokenOut
                    to the destinationAddress was made by Rhino.fi.
                amountOut:
                  type: string
                  description: The value of the token sent on the destination chain.
                fee:
                  type: string
                  description: >-
                    The total fee charged for the transaction, denominated in
                    the token received on the destination chain.
              additionalProperties: false
          description: The state of the deposit transaction.
      additionalProperties: false
    ChainMetadata:
      type: object
      required:
        - _tag
        - baseAddress
        - memoId
      properties:
        _tag:
          type: string
          enum:
            - STELLAR
        baseAddress:
          type: string
          description: >-
            The Stellar base account (G…) that the muxed deposit address
            resolves to. Clients can deposit to this address instead of the
            muxed (M…) address, provided they also set the memo.
        memoId:
          type: string
          description: >-
            The Stellar memo id that must be supplied alongside the base address
            when depositing to it, so that Rhino.fi can attribute the deposit to
            the correct muxed (M…) deposit address.
      additionalProperties: false
      description: >-
        Optional chain-specific metadata. Currently only populated for Stellar
        SDAs, where it exposes the base address and memo id that the muxed
        deposit address resolves to.
    Issue:
      type: object
      required:
        - _tag
        - path
        - message
      properties:
        _tag:
          type: string
          enum:
            - Pointer
            - Unexpected
            - Missing
            - Composite
            - Refinement
            - Transformation
            - Type
            - Forbidden
          description: The tag identifying the type of parse issue
        path:
          type: array
          items:
            $ref: '#/components/schemas/PropertyKey'
          description: The path to the property where the issue occurred
        message:
          type: string
          description: A descriptive message explaining the issue
      additionalProperties: false
      description: >-
        Represents an error encountered while parsing a value to match the
        schema
    NonEmptyString:
      type: string
      description: a non empty string
      title: nonEmptyString
      minLength: 1
    PropertyKey:
      anyOf:
        - type: string
        - type: number
        - type: object
          required:
            - _tag
            - key
          properties:
            _tag:
              type: string
              enum:
                - symbol
            key:
              type: string
          additionalProperties: false
          description: an object to be decoded into a globally shared symbol
  securitySchemes:
    bearer:
      description: JWT token for authentication
      type: http
      scheme: bearer
    legacyApiKey:
      type: apiKey
      name: authorization
      in: header

````